<?php

final class BWFAN_GROUNDHOGG_Integration extends BWFAN_Integration {

	private static $instance = null;

	/**
	 * BWFAN_GROUNDHOGG_Integration constructor.
	 */
	private function __construct() {
		$this->action_dir = __DIR__;
		$this->nice_name  = __( 'GroundHogg', 'autonami-automations-pro' );
	}

	/**
	 * Ensures only one instance of the class is loaded or can be loaded.
	 *
	 * @return BWFAN_GROUNDHOGG_Integration|null
	 */
	public static function get_instance() {
		if ( null === self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}
}

if ( defined( 'GROUNDHOGG_VERSION' ) ) {
	BWFAN_Load_Integrations::register( 'BWFAN_GROUNDHOGG_Integration' );
}