<?php

class BWFAN_GroundHogg_Source extends BWFAN_Source {
	private static $instance = null;

	public function __construct() {
		$this->event_dir = __DIR__;
		$this->nice_name = __( 'GroundHogg', 'autonami-automations-pro' );
		$this->priority  = 50;
	}

	/**
	 * Ensures only one instance of the class is loaded or can be loaded.
	 *
	 * @return BWFAN_GroundHogg_Source|null
	 */
	public static function get_instance() {
		if ( null === self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

}

/**
 * Register this as a source.
 */
if ( defined( 'GROUNDHOGG_VERSION' ) ) {
	//BWFAN_Load_Sources::register( 'BWFAN_GroundHogg_Source' );
}